#!/bin/bash

result=0

for i in golden_graphs/*.html; do
    temp_filename=$(basename $i )

    diff <(sort $i) <(sort $temp_filename) > /dev/null

    if [ "$?" = "1" ]; then
      echo "$temp_filename and $i are different";
      result=1
    fi
done

if [ "$result" = "0" ]; then
  echo "The files are equivalent."
  exit 0
else
  echo "The files are different!"
  exit 1
fi

