#include "systemc.h"

class Module: sc_module {

public:
  SC_HAS_PROCESS(Module);

  void thread1()
  {
    std::cout << "th1 " << std::endl;
  }

  Module(sc_module_name mn): sc_module(mn) {

    SC_THREAD(thread1);
  }
};


int sc_main(int argc, char **argv)
{
  Module m("m");
  sc_start();
  return 0;
}

