// immediate_wake_up.cc
// 04/13/17 RD   some cleanup, improved assertions
// 04/04/17 ZC   initial version

#include <stdio.h>
#include "systemc.h"

class Main_Block : public sc_module
{
public:
	sc_event e;
	int i;

	void S()
	{
		e.notify(SC_ZERO_TIME);
		i++;
		wait(e);
		i++;
		assert(i==2);
	}

	Main_Block(sc_module_name name)
	: sc_module(name)
	{
		i = 0;
		SC_THREAD(S);
	}
	SC_HAS_PROCESS(Main_Block);
};

int sc_main(int argc, char* argv[])
{
	Main_Block m("m");
	assert(m.i == 0);
	sc_start();
	assert(m.i == 2);
	printf("immediate_wake_up done\n");
	return 0;
}

/* ex: set softtabstop=8 tabstop=8 shiftwidth=8 expandtab: */
