#include "systemc.h"

#define RISC_ALL_SEGMENT_TESTS 1

#include "input_cfg_if_else.cpp"
#include "input_cfg_for.cpp"
#include "input_cfg_while.cpp"
#include "input_cfg_do_while.cpp"
#include "input_cfg_switch.cpp"

SC_MODULE(Top) {

  CfgFor m1;
  CfgIfElse m2;
  CfgWhile m3;
  CfgDoWhile m4;
  CfgSwitch m5;

  SC_CTOR(Top):
    m1("m1"),
    m2("m2"),
    m3("m3"),
    m4("m4"),
    m5("m5")
  { }
};

int sc_main(int argc, char **argv)
{
  Top top("top");
  sc_start();
  return 0;
}

/* ex: set softtabstop=2 tabstop=2 shiftwidth=2 expandtab: */
