#include "systemc.h"

class Switch: public sc_module {
public:
//  int x, y, z;
//  sc_event e;
  bool test, test1;

  SC_HAS_PROCESS(Switch);

  void switch_1()
  {
    int x = 42;

    switch(x) {

      case 1:
      {
        int aa;
      }

      case 2:
      {
        int bb;
      }

      case 3:
      {
        int cc;
      }

      case 4:
      {
        int dd;
      }

      default:
      {
        int ee;
      }
    }
  }

  void switch_2()
  {
    int x = 42;

    switch(x) {

      case 1:
      {
        int aa;
        wait();
        int bb;
        break;
      }

      case 2:
      {
        int cc;
      }

      case 3:
      {
        int dd;
      }

      case 4:
      {
        int ee;
      }

      default:
      {
        int ff;
      }
    }
    int gg;
    wait();
    int hh;
  }

  void switch_3()
  {
    bool test, test1;
    int var = 42;
    switch(var) {
      case 1:
      {
        if(test) {
          int aa;
          wait();
          int bb;
        } else {
          int cc;
          wait();
          int dd;
        }
        int ee;
        if(test1) {
          int ff;
          break;
          int gg;
        } else {
          int hh;
          break;
          int ii;
        }
      }
      case 2:
      {
        int jj;
      }
    }
  }

  void switch_4()
  {
    int var;

    switch(var) {
      case 1:
      {
        int aa;
        int bb;
        if(true) {
          int cc;
          wait();
          int dd;

        } else {
          int ee;
          wait();
          int ff;
        }
        int gg;
      }
      case 2:
      {
        int nn;
      }
    }
    wait();
    int pp;
  }

  void switch_5()
  {
    int var;

    switch(var) {
      case 1:
      {
        int aa;
        int bb;
        if(true) {
          int cc;
          wait();
          int dd;

        } else {
          int ee;
          wait();
          int ff;
        }
        int gg;
      }

      case 2:
      {
        int hh;
        if(test1) {
          int ii;
          wait();
          int jj;

        } else {

          int kk;
          wait();
          int ll;
        }
        int mm;

      }

      case 3:
      {
        int nn;
        break;
      }

      default:
      {
        int oo;
      }

    }
    wait();
    int pp;
  }

  void switch_case_simple_1()
  {
    wait();
    int aa = 1;
    switch(aa)
    {
      case 1:
      {
        int bb;
      }
      case 2:
      {
        int cc;
      }
      case 3:
      {
        int dd;
      }
    }
    int ee;
    wait();
    int ff;
  }

  void switch_case_simple_2()
  {
    wait();
    int aa = 1;
    switch(aa)
    {
      int bb;
      case 1:
      {
        if(aa == 2)
        {
          int cc;
        }
        else
        {
          int dd;
        }
        int ee;
      }
      case 2:
      {
        int ff;
      }
    }
    int gg;
    wait();
    int hh;
  }

  void switch_case_wait_break_1()
  {
    wait();
    int aa = 1;
    switch(aa)
    {
      case 1:
      {
        if(aa == 2)
        {
          int bb;
          wait();
          break;
        }
        else
        {
          int cc;
        }
        int dd;
      }
      case 2:
      {
        int ee;
      }
    }
    int ff;
    wait();
    int gg;
  }

  void switch_case_wait_break_2()
  {
    wait();
    int aa = 1;
    switch(aa)
    {
      case 1:
      {
        if(aa == 2)
        {
          int bb;
          wait();
          break;
        }
        else
        {
          int cc;
          wait();
          break;
        }
        int dd;
      }
      case 2:
      {
        int ee;
      }
    }
    int ff;
    wait();
    int gg;
  }

  void switch_case_wait_break_3()
  {
    wait();
    int aa = 1;
    switch(aa)
    {
      case 1:
      {
        if(aa == 2)
        {
          int bb;
          wait();
          break;
        }
        else
        {
          int cc;
          wait();
        }
        int dd;
      }
      case 2:
      {
        int ee;
      }
    }
    int ff;
    wait();
    int gg;
  }

  void switch_case_wait_break_4()
  {
    wait();
    int aa = 1;
    switch(aa)
    {
      case 1:
      {
        if(aa == 2)
        {
          int bb;
          wait();
          break;
        }
        else
        {
          int cc;
        }
        int dd;

      }
      case 2:
      {
        int ee;
        break;
      }
    }
    int ff;
    wait();
    int gg;
  }

  void switch_case_wait_break_5()
  {
    wait();
    int aa = 1;
    switch(aa)
    {
      case 1:
      {
        if(aa == 2)
        {
          int bb;
          wait();
          break;
        }
        else
        {
          int cc;
        }
        int dd;
        break;
      }
      case 2:
      {
        int ee;
      }
    }
    int ff;
    wait();
    int gg;
  }

  void switch_in_if_else_1()
  {
    wait();
    int aa = 1;
    if(aa == 1)
    {
      switch(aa)
      {
        case 1:
        {
          if(aa == 2)
          {
            int bb;
            wait();
            break;
          }
          else
          {
            int cc;
            wait();
            break;
          }
          int dd;

        }
        case 2:
        {
          int ee;
        }
      }
      int ff;
    }
    else
    {
      switch(aa)
      {
        case 1:
        {
          if(aa == 2)
          {
            int gg;
            wait();
            break;
          }
          else
          {
            int hh;
            wait();
            break;
          }
          int ii;
        }
        case 2:
        {
          int jj;
        }
      }
    }
    int kk;
    wait();
    int ll;
  }

  void switch_6()
  {
    int var;

    switch(var) {
      case 1:
      {
        int aa;
        int bb;
        if(true) {
          int cc;
          wait();
          int dd;

        } else {
          int ee;
          wait();
          int ff;
        }
        int gg;
      }

      case 2:
      {
        int hh;
        if(test1) {
          int ii;
          wait();
          int jj;

        } else {

          int kk;
          wait();
          int ll;
        }
        int mm;
      }

      case 3:
      {
        int nn;
        if(test1) {
          int oo;
          wait();
          int pp;

        } else {

          int qq;
          wait();
          int rr;
        }
        int ss;
      }

      case 4:
      {
        int tt;
        break;
      }

      default:
      {
        int uu;
      }

    }
    wait();
    int vv;
  }

  void switch_for_loop_1()
  {
    wait();
    int aa = 1;
    for(int ii = 0; ii < 10; ii++)
    {
      int bb;
      switch(aa)
      {
        case 1:
        {
          int cc;
          if(aa == 1)
          {
            int dd;
            wait();
            continue;
          }
          else
          {
            int ee;
            wait();
            continue;
          }
          int ff;
          break;
        }
        case 2:
        {
          int gg;
          break;
        }
      }
    }
    int yy;
    wait();
    int zz;
  }

  void switch_for_loop_2()
  {
    wait();
    int aa = 1;
    for(int ii = 0; ii < 10; ii++)
    {
      int bb;
      switch(aa)
      {
        case 1:
        {
          int cc;
        }
        case 2:
        {
          int dd;
          if(aa == 2)
          {
            int ee;
          }
          else
          {
            int ff;
            wait();
            break;
          }
          int gg;
        }
      }
    }
    int yy;
    wait();
    int zz;
  }

  void switch_for_loop_3()
  {
    wait();
    int aa = 1;
    for(int ii = 0; ii < 10; ii++)
    {
      int bb;
      switch(aa)
      {
        case 1:
        {
          int cc;
          if(aa == 4)
          {
            int dd;
            wait();
            continue;
          }
          else
          {
            int ee;
            wait();
            break;
          }
          int ff;
          break;
        }
        case 2:
        {
          int gg;
        }
      }
    }
    int yy;
    wait();
    int zz;
  }

  void switch_for_loop_4()
  {
    wait();
    int aa = 1;
    for(int ii = 0; ii < 10; ii++)
    {
      int bb;
      switch(aa)
      {
        case 1:
        {
          int cc;
          if(aa == 4)
          {
            int dd;
            wait();
          }
          else
          {
            int ee;
            break;
          }
          int ff;
          break;
        }
        case 2:
        {
          int gg;
          break;
        }
      }
    }
    int yy;
    wait();
    int zz;
  }

  void while_switch_if_continue_1()
  {
    wait();
    int aa = 0;
    int ii = 0;
    while(ii < 10)
    {
      ii++;
      int bb;
      switch(aa)
      {
        int cc;
        case 1:
        {
          int dd;
          if(aa == 1)
          {
            int ee;
            wait();
            continue;
          }
          int ff;
        }
        int gg;
      }
      int hh;
    }
    int yy;
    wait();
    int zz;
  }

  void while_switch_continue_1()
  {
    wait();
    int aa = 0;
    int ii = 0;
    while(ii < 10)
    {
      ii++;
      int bb;
      switch(aa)
      {
        int cc;
        case 1:
        {
          int dd;
          continue;
        }
        int ee;
      }
      int ff;
    }
    int yy;
    wait();
    int zz;
  }

  void while_switch_continue_2()
  {
    wait();
    int aa = 0;
    int ii = 0;
    while(ii < 10)
    {
      ii++;
      int bb;
      switch(aa)
      {
        int cc;
        case 1:
        {
          int dd;
          wait();
          continue;
        }
        int ee;
      }
      int ff;
    }
    int yy;
    wait();
    int zz;
  }

  void while_if_continue_1()
  {
    wait();
    int aa = 0;
    int ii = 0;
    while(ii < 10)
    {
      ii++;
      int bb;
      if(aa == 1)
      {
        int cc;
        wait();
        continue;
      }
      int dd;
    }
    int yy;
    wait();
    int zz;
  }

  void triple_switch_if_else_wait_1()
  {
    wait();
    int aa = 0;
    switch(aa)
    {
      int bb;
      case 1:
      {
        int cc;
        wait();
        int dd;
      }
      case 2:
      {
        int ee;
        wait();
        int ff;
      }
      case 3:
      {
        int gg;
        wait();
        int hh;
      }
      int ii;
    }
    switch(aa)
    {
      int jj;
      case 4:
      {
        int kk;
        wait();
        int ll;
      }
      case 5:
      {
        int mm;
        wait();
        int nn;
      }
      case 6:
      {
        int oo;
        wait();
        int pp;
      }
      int qq;
    }
    switch(aa)
    {
      int rr;
      case 7:
      {
        int ss;
        wait();
        int tt;
      }
      case 8:
      {
        int uu;
        wait();
        int vv;
      }
      case 9:
      {
        int ww;
        wait();
        int xx;
      }
      int yy;
    }
    int zz;
    wait();
    int zzzz;
  }

  void triple_switch_if_else_wait_break_1()
  {
    wait();
    int aa = 0;
    switch(aa)
    {
      int bb;
      case 1:
      {
        int cc;
        break;  //replace wait with break
        int dd;
      }
      case 2:
      {
        int ee;
        break;  //replace wait with break
        int ff;
      }
      case 3:
      {
        int gg;
        wait();
        int hh;
      }
      int ii;
    }
    switch(aa)
    {
      int jj;
      case 4:
      {
        int kk;
        wait();
        break;  //add break after wait
        int ll;
      }
      case 5:
      {
        int mm;
        wait();
        break;  //add break after wait
        int nn;
      }
      case 6:
      {
        int oo;
        wait();
        int pp;
      }
      int qq;
    }
    switch(aa)
    {
      int rr;
      case 7:
      {
        int ss;
        wait(); //no change
        int tt;
      }
      case 8:
      {
        int uu;
        wait(); //no change
        int vv;
      }
      case 9:
      {
        int ww;
        wait();
        int xx;
      }
      int yy;
    }
    int zz;
    wait();
    int zzzz;
  }

  void nested_switch_if_else_break_1()
  {
    wait();
    int aa = 0;
    switch(aa)
    {
      int bb;
      case 1:
      {
        int cc;
        switch(aa)
        {
          int dd;
          case 1:
          {
            int ee;
            break;
            int ff;
          }
          case 2:
          {
            int gg;
            break;
            int hh;
          }
          int ii;
        }
        int jj;
        break;
        int kk;
      }
      case 2:
      {
        int ll;
        break;
        int mm;
      }
      int nn;
    }
    int yy;
    wait();
    int zz;
  }

  void nested_switch_if_else_wait_1()
  {
    wait();
    int aa = 0;
    switch(aa)
    {
      int bb;
      case 1:
      {
        int cc;
        switch(aa)
        {
          int dd;
          case 1:
          {
            int ee;
            wait();
            break;
            int ff;
          }
          case 2:
          {
            int gg;
            wait();
            int hh;
          }
          int ii;
        }
        int jj;
        break;
        int kk;
      }
      case 2:
      {
        int ll;
        break;
        int mm;
      }
      int nn;
    }
    int yy;
    wait();
    int zz;
  }

  void nested_switch_while_loop_if_else_break_1()
  {
    wait();
    int aa = 0;
    switch(aa)
    {
      int bb;
      case 1:
      {
        int cc;
        switch(aa)
        {
          int dd;
          case 1:
          {
            int ee;
            while(aa < 10)
            {
              int ff;
              wait();
              break;
              int gg;
            }
            int hh;
          }
          int ii;
        }
        int jj;
        break;
        int kk;
      }
      case 2:
      {
        int ll;
        break;
        int mm;
      }
      int nn;
    }
    int yy;
    wait();
    int zz;
  }

  Switch(sc_module_name mn): sc_module(mn)
  {
    SC_THREAD(switch_1);
    SC_THREAD(switch_2);
    SC_THREAD(switch_3);
    SC_THREAD(switch_4);
    SC_THREAD(switch_5);
    SC_THREAD(switch_case_simple_1);
    SC_THREAD(switch_case_simple_2);
    SC_THREAD(switch_case_wait_break_1);
    SC_THREAD(switch_case_wait_break_2);
    SC_THREAD(switch_case_wait_break_3);
    SC_THREAD(switch_case_wait_break_4);
    SC_THREAD(switch_case_wait_break_5);
    SC_THREAD(switch_in_if_else_1);
    SC_THREAD(switch_6);
    SC_THREAD(switch_for_loop_1);
    SC_THREAD(switch_for_loop_2);
    SC_THREAD(switch_for_loop_3);
    SC_THREAD(switch_for_loop_4);
    SC_THREAD(while_switch_if_continue_1);
    SC_THREAD(while_switch_continue_1);
    SC_THREAD(while_switch_continue_2);
    SC_THREAD(while_if_continue_1);
    SC_THREAD(triple_switch_if_else_wait_1);
    SC_THREAD(triple_switch_if_else_wait_break_1);
    SC_THREAD(nested_switch_if_else_break_1);
    SC_THREAD(nested_switch_if_else_wait_1);
    SC_THREAD(nested_switch_while_loop_if_else_break_1);
  }
};


#ifndef RISC_ALL_SEGMENT_TESTS
int sc_main(int argc, char **argv)
{
  Switch mm("mm");

  sc_start();
  return 0;
}
#endif

/* ex: set softtabstop=2 tabstop=2 shiftwidth=2 expandtab: */
